You are not logged in.

#1 2022-04-29 17:23:47

IDeletedSystem64
Member
From: Illinois, United States
Registered: 2021-12-17
Posts: 2
Website

(SOLVED) Unable to upgrade packages (stuck on ffmpeg)

I've been trying to update Arch, but every time I run

pacman -Syu

I'm met with this:

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 Total (  0/487)                                                                       523.0 MiB  73.0 GiB/s 00:00 [####################################################################] 100%
error: could not open file /mnt/usbdrive/paccache/ffmpeg-2:5.0-6-x86_64.pkg.tar.zst.part: Invalid argument
error: failed to setup a download payload for ffmpeg-2:5.0-6-x86_64.pkg.tar.zst
warning: failed to retrieve some files
error: failed to commit transaction (failed to retrieve some files)
Errors occurred, no packages were upgraded.

I'm also trying to use a flash drive for a temporary pacman cache (as I don't have 1.8 GiB free on my Arch partition...oopsies) if that helps

Last edited by IDeletedSystem64 (2022-04-29 18:07:27)

Offline

#2 2022-04-29 17:42:08

mpan
Member
Registered: 2012-08-01
Posts: 826
Website

Re: (SOLVED) Unable to upgrade packages (stuck on ffmpeg)

What file system is the USB stick using? Is it by any chance some FAT? The error seems to be caused by an attempt to open a file with a colon in its name. It’s not permitted to have a colon in FAT file names.


Sometimes I seem a bit harsh — don’t get offended too easily! PGP: 7C848198AE93D3BB

Offline

#3 2022-04-29 18:06:44

IDeletedSystem64
Member
From: Illinois, United States
Registered: 2021-12-17
Posts: 2
Website

Re: (SOLVED) Unable to upgrade packages (stuck on ffmpeg)

Yeep, exFAT. Will try using another drive with EXT instead. thanks

Offline

Board footer

Powered by FluxBB